POST api/NTSetting/PostPrompt

Request Information

URI Parameters

None.

Body Parameters

PromptDTO
NameDescriptionTypeAdditional information
Id

integer

None.

Type

integer

None.

TypeName

string

String length: inclusive between 0 and 50

Sequence

integer

None.

Name

string

String length: inclusive between 0 and 50

Description

string

String length: inclusive between 0 and 100

ReferenceId

integer

None.

ReferenceName

string

String length: inclusive between 0 and 100

ValidFlag

boolean

None.

DateCreated

date

None.

DateUpdated

date

None.

UserIDCreated

integer

None.

UserIDUpdated

integer

None.

CompanyCode

string

String length: inclusive between 0 and 10

IsExcludeDiscount

boolean

None.

Request Formats

application/json, text/json

Sample:
{
  "Id": 1,
  "Type": 2,
  "TypeName": "sample string 3",
  "Sequence": 4,
  "Name": "sample string 5",
  "Description": "sample string 6",
  "ReferenceId": 7,
  "ReferenceName": "sample string 8",
  "ValidFlag": true,
  "DateCreated": "2026-06-20T12:44:43.8858724-07:00",
  "DateUpdated": "2026-06-20T12:44:43.8858724-07:00",
  "UserIDCreated": 12,
  "UserIDUpdated": 13,
  "CompanyCode": "sample string 14",
  "IsExcludeDiscount": true
}

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfPromptDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

PromptDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": {
    "Id": 1,
    "Type": 2,
    "TypeName": "sample string 3",
    "Sequence": 4,
    "Name": "sample string 5",
    "Description": "sample string 6",
    "ReferenceId": 7,
    "ReferenceName": "sample string 8",
    "ValidFlag": true,
    "DateCreated": "2026-06-20T12:44:43.9014952-07:00",
    "DateUpdated": "2026-06-20T12:44:43.9014952-07:00",
    "UserIDCreated": 12,
    "UserIDUpdated": 13,
    "CompanyCode": "sample string 14",
    "IsExcludeDiscount": true
  },
  "totalCount": 3
}